<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__ofsl__context__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_ofsl_context_t</compoundname>
    <includes local="no">cy_capsense_gesture_lib.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__ofsl__context__t_1ab6b900847f84996ed25c000469c6cba4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref></type>
        <definition>cy_stc_capsense_gesture_position_t cy_stc_capsense_ofsl_context_t::touchStartPosition1</definition>
        <argsstring />
        <name>touchStartPosition1</name>
        <briefdescription>
<para>Touchdown position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="114" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="114" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ofsl__context__t_1a7df429d86ffa5f133a64f3fa4a9c63bc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_ofsl_context_t::state</definition>
        <argsstring />
        <name>state</name>
        <briefdescription>
<para>Gesture state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="115" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="115" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ofsl__context__t_1a8b38d4d85c4c429162a82f66494bab4c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_ofsl_context_t::debounce</definition>
        <argsstring />
        <name>debounce</name>
        <briefdescription>
<para>Gesture debounce counter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="116" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="116" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ofsl__context__t_1a16e86b0e4a4e18f39d1d04af5f19f77b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_ofsl_context_t::direction</definition>
        <argsstring />
        <name>direction</name>
        <briefdescription>
<para>Last reported direction. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="117" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="117" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Gesture One Finger Scroll context structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="205">
        <label>cy_stc_capsense_gesture_position_t</label>
        <link refid="structcy__stc__capsense__gesture__position__t" />
      </node>
      <node id="204">
        <label>cy_stc_capsense_ofsl_context_t</label>
        <link refid="structcy__stc__capsense__ofsl__context__t" />
        <childnode refid="205" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="118" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="112" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="113" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__ofsl__context__t_1a8b38d4d85c4c429162a82f66494bab4c" virt="non-virtual"><scope>cy_stc_capsense_ofsl_context_t</scope><name>debounce</name></member>
      <member prot="public" refid="structcy__stc__capsense__ofsl__context__t_1a16e86b0e4a4e18f39d1d04af5f19f77b" virt="non-virtual"><scope>cy_stc_capsense_ofsl_context_t</scope><name>direction</name></member>
      <member prot="public" refid="structcy__stc__capsense__ofsl__context__t_1a7df429d86ffa5f133a64f3fa4a9c63bc" virt="non-virtual"><scope>cy_stc_capsense_ofsl_context_t</scope><name>state</name></member>
      <member prot="public" refid="structcy__stc__capsense__ofsl__context__t_1ab6b900847f84996ed25c000469c6cba4" virt="non-virtual"><scope>cy_stc_capsense_ofsl_context_t</scope><name>touchStartPosition1</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>